/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package View;

import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Font;
import org.omg.CORBA.SystemException;

/**
 *
 * @author raymo
 */
public class EmployeeMenu extends javax.swing.JPanel {

    /**
     * Creates new form Menu
     */
    public EmployeeMenu() {
        initComponents();
    }

    EmployeeMenu(FlowLayout flowLayout) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnAccount = new javax.swing.JLabel();
        btnExit = new javax.swing.JLabel();
        btnShopping = new javax.swing.JLabel();
        btnRefund = new javax.swing.JLabel();
        btnHistory = new javax.swing.JLabel();
        btnRank = new javax.swing.JLabel();

        setMaximumSize(new java.awt.Dimension(110, 610));
        setMinimumSize(new java.awt.Dimension(110, 610));
        setOpaque(false);
        setPreferredSize(new java.awt.Dimension(110, 610));
        setRequestFocusEnabled(false);

        btnAccount.setFont(new java.awt.Font("VNF-Valentina", 2, 18)); // NOI18N
        btnAccount.setForeground(new java.awt.Color(255, 204, 204));
        btnAccount.setText("   Tài khoản");
        btnAccount.setPreferredSize(new java.awt.Dimension(110, 19));
        btnAccount.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnAccountMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnAccountMouseExited(evt);
            }
        });

        btnExit.setFont(new java.awt.Font("VNF-Valentina", 2, 18)); // NOI18N
        btnExit.setForeground(new java.awt.Color(255, 204, 204));
        btnExit.setText("         Thoát");
        btnExit.setPreferredSize(new java.awt.Dimension(110, 19));
        btnExit.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnExitMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnExitMouseExited(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                btnExitMouseReleased(evt);
            }
        });

        btnShopping.setFont(new java.awt.Font("VNF-Valentina", 2, 18)); // NOI18N
        btnShopping.setForeground(new java.awt.Color(255, 204, 204));
        btnShopping.setText("    Bán hàng");
        btnShopping.setPreferredSize(new java.awt.Dimension(110, 19));
        btnShopping.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnShoppingMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnShoppingMouseExited(evt);
            }
        });

        btnRefund.setFont(new java.awt.Font("VNF-Valentina", 2, 17)); // NOI18N
        btnRefund.setForeground(new java.awt.Color(255, 204, 204));
        btnRefund.setText("    Trả hàng");
        btnRefund.setPreferredSize(new java.awt.Dimension(110, 19));
        btnRefund.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnRefundMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnRefundMouseExited(evt);
            }
        });

        btnHistory.setFont(new java.awt.Font("VNF-Valentina", 2, 17)); // NOI18N
        btnHistory.setForeground(new java.awt.Color(255, 204, 204));
        btnHistory.setText("    Đơn hàng");
        btnHistory.setPreferredSize(new java.awt.Dimension(110, 19));
        btnHistory.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnHistoryMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnHistoryMouseExited(evt);
            }
        });

        btnRank.setFont(new java.awt.Font("VNF-Valentina", 2, 17)); // NOI18N
        btnRank.setForeground(new java.awt.Color(255, 204, 204));
        btnRank.setText("    Xếp hạng");
        btnRank.setPreferredSize(new java.awt.Dimension(110, 19));
        btnRank.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnRankMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnRankMouseExited(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(btnAccount, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(btnExit, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(btnShopping, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(btnRefund, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(btnHistory, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(btnRank, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(92, 92, 92)
                .addComponent(btnAccount, javax.swing.GroupLayout.PREFERRED_SIZE, 41, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(btnShopping, javax.swing.GroupLayout.PREFERRED_SIZE, 41, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(btnRefund, javax.swing.GroupLayout.PREFERRED_SIZE, 41, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(btnHistory, javax.swing.GroupLayout.PREFERRED_SIZE, 41, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(btnRank, javax.swing.GroupLayout.PREFERRED_SIZE, 41, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 132, Short.MAX_VALUE)
                .addComponent(btnExit, javax.swing.GroupLayout.PREFERRED_SIZE, 41, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(68, 68, 68))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void btnAccountMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnAccountMouseEntered
        // TODO add your handling code here:
        btnAccount.setForeground(new Color(246,42,207));
        btnAccount.setBackground(Color.lightGray);
        btnAccount.setOpaque(true);
    }//GEN-LAST:event_btnAccountMouseEntered

    private void btnAccountMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnAccountMouseExited
        // TODO add your handling code here:
        btnAccount.setForeground(new Color(255,204,204));
        btnAccount.setBackground(Color.WHITE);
        btnAccount.setOpaque(false);
    }//GEN-LAST:event_btnAccountMouseExited

    private void btnExitMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnExitMouseEntered
        // TODO add your handling code here:
        btnExit.setForeground(new Color(246,42,207));
        btnExit.setBackground(Color.lightGray);
        btnExit.setOpaque(true);
    }//GEN-LAST:event_btnExitMouseEntered

    private void btnExitMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnExitMouseExited
        // TODO add your handling code here:
        btnExit.setForeground(new Color(255,204,204));
        btnExit.setBackground(Color.WHITE);
        btnExit.setOpaque(false);
    }//GEN-LAST:event_btnExitMouseExited

    private void btnShoppingMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnShoppingMouseEntered
        // TODO add your handling code here:
        btnShopping.setForeground(new Color(246,42,207));
        btnShopping.setBackground(Color.lightGray);
        btnShopping.setOpaque(true);
    }//GEN-LAST:event_btnShoppingMouseEntered

    private void btnShoppingMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnShoppingMouseExited
        // TODO add your handling code here:
        btnShopping.setForeground(new Color(255,204,204));
        btnShopping.setBackground(Color.WHITE);
        btnShopping.setOpaque(false);
    }//GEN-LAST:event_btnShoppingMouseExited

    private void btnRefundMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnRefundMouseEntered
        // TODO add your handling code here:
        btnRefund.setForeground(new Color(246,42,207));
        btnRefund.setBackground(Color.lightGray);
        btnRefund.setOpaque(true);
    }//GEN-LAST:event_btnRefundMouseEntered

    private void btnRefundMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnRefundMouseExited
        // TODO add your handling code here:
        btnRefund.setForeground(new Color(255,204,204));
        btnRefund.setBackground(Color.WHITE);
        btnRefund.setOpaque(false);
    }//GEN-LAST:event_btnRefundMouseExited

    private void btnHistoryMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnHistoryMouseEntered
        // TODO add your handling code here:
        btnHistory.setForeground(new Color(246,42,207));
        btnHistory.setBackground(Color.lightGray);
        btnHistory.setOpaque(true);
    }//GEN-LAST:event_btnHistoryMouseEntered

    private void btnHistoryMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnHistoryMouseExited
        // TODO add your handling code here:
        btnHistory.setForeground(new Color(255,204,204));
        btnHistory.setBackground(Color.WHITE);
        btnHistory.setOpaque(false);
    }//GEN-LAST:event_btnHistoryMouseExited

    private void btnExitMouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnExitMouseReleased
        // TODO add your handling code here:
        System.exit(0);
    }//GEN-LAST:event_btnExitMouseReleased

    private void btnRankMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnRankMouseEntered
        // TODO add your handling code here:
        btnRank.setForeground(new Color(246,42,207));
        btnRank.setBackground(Color.lightGray);
        btnRank.setOpaque(true);
    }//GEN-LAST:event_btnRankMouseEntered

    private void btnRankMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnRankMouseExited
        // TODO add your handling code here:
        btnRank.setForeground(new Color(255,204,204));
        btnRank.setBackground(Color.WHITE);
        btnRank.setOpaque(false);
    }//GEN-LAST:event_btnRankMouseExited


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel btnAccount;
    private javax.swing.JLabel btnExit;
    private javax.swing.JLabel btnHistory;
    private javax.swing.JLabel btnRank;
    private javax.swing.JLabel btnRefund;
    private javax.swing.JLabel btnShopping;
    // End of variables declaration//GEN-END:variables
}
